Bug 197548 - graphics/dri: Missing dependency - multimedia/v4l_compat
Summary: graphics/dri: Missing dependency - multimedia/v4l_compat
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-x11 mailing list
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2015-02-11 23:34 UTC by rozhuk.im
Modified: 2015-10-18 18:33 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2015-02-11 23:34:04 UTC
gmake[5]: Entering directory '/tmp/ports/usr/ports/graphics/dri/work/Mesa-10.4.4/src/gallium/state_trackers/va'
cd ../../../.. && gmake  am--refresh
cd ../../../.. && gmake  am--refresh
  CC       buffer.lo
  CC       config.lo
In file included from config.c:33:
In file included from ./va_private.h:35:
/usr/local/include/va/va_backend.h:33:10: fatal error: 'linux/videodev2.h' file not found
#include <linux/videodev2.h>
         ^
In file included from buffer.c:32:
In file included from ./va_private.h:35:
/usr/local/include/va/va_backend.h:33:10: fatal error: 'linux/videodev2.h' file not found
#include <linux/videodev2.h>
         ^
1 error generated.
Makefile:634: recipe for target 'config.lo' failed
gmake[5]: *** [config.lo] Error 1
gmake[5]: *** Waiting for unfinished jobs....
1 error generated.
Makefile:634: recipe for target 'buffer.lo' failed
gmake[5]: *** [buffer.lo] Error 1
gmake[5]: Leaving directory '/tmp/ports/usr/ports/graphics/dri/work/Mesa-10.4.4/src/gallium/state_trackers/va'
Makefile:561: recipe for target 'all-recursive' failed
Comment 1 Bugzilla Automation freebsd_committer 2015-02-11 23:34:04 UTC
Maintainers CC'd
Comment 2 John Hein 2015-10-11 20:55:29 UTC
This is more an issue of multimedia/libva depending on multimedia/v4l_compat (due to #include <linux/videodev2.h> in the libva include file va/va_backend.h).  But that dependency is only recorded as a build-time dependency (BUILD_DEPENDS).  So if you install multimedia/libva and later remove multimedia/v4l_compat, then you'll get this problem if anything includes va/va_backend.h

Because of the #include of videodev2.h, libva should probably include multimedia/v4l_compat in RUN_DEPENDS.

This is only tangentially associated with graphics/dri which will try to use libva if it's installed but is not fatal if not.
Comment 3 commit-hook freebsd_committer 2015-10-18 18:32:33 UTC
A commit references this bug:

Author: kwm
Date: Sun Oct 18 18:31:55 UTC 2015
New revision: 399625
URL: https://svnweb.freebsd.org/changeset/ports/399625

Log:
  * Don't hardcode the Gallium drivers instead set the wanted drivers per
    arch, like is done for the dri drivers. This fixes Mesa build on arm. [1]
  * Explicitly disable libva support. This resolves a build issue if libva
    is installed. [2]
  * remove the gallium-intel configure flag, it is gone.

  PR:		197548 [2]
  Reported by:	sbruno@ [1]
  Reported by:	rozhuk.im@gmail.com [2]
  Tested by:	sbruno@ on arm [1]

Changes:
  head/graphics/dri/pkg-plist
  head/graphics/libGL/Makefile.common
Comment 4 Koop Mast freebsd_committer 2015-10-18 18:33:13 UTC
Fix committed, thanks for reporting.